# Directory containing class headers.
SET(VTK_GRAPHICS_HEADER_DIR "${VTK_INSTALL_PREFIX}/include/vtk-5.1")

# Classes in vtkGraphics.
SET(VTK_GRAPHICS_CLASSES
  "vtkAppendFilter"
  "vtkAppendPolyData"
  "vtkApproximatingSubdivisionFilter"
  "vtkArrayCalculator"
  "vtkArrowSource"
  "vtkAssignAttribute"
  "vtkAttributeDataToFieldDataFilter"
  "vtkAxes"
  "vtkBandedPolyDataContourFilter"
  "vtkBlankStructuredGrid"
  "vtkBlankStructuredGridWithImage"
  "vtkBoxClipDataSet"
  "vtkBrownianPoints"
  "vtkButterflySubdivisionFilter"
  "vtkButtonSource"
  "vtkBSPCuts"
  "vtkBSPIntersections"
  "vtkCellCenters"
  "vtkCellDataToPointData"
  "vtkCellDerivatives"
  "vtkCleanPolyData"
  "vtkClipDataSet"
  "vtkClipHyperOctree"
  "vtkClipPolyData"
  "vtkClipVolume"
  "vtkConeSource"
  "vtkConnectivityFilter"
  "vtkContourFilter"
  "vtkContourGrid"
  "vtkCubeSource"
  "vtkCursor2D"
  "vtkCursor3D"
  "vtkCutter"
  "vtkCurvatures"
  "vtkCylinderSource"
  "vtkDashedStreamLine"
  "vtkDataObjectToDataSetFilter"
  "vtkDataSetSurfaceFilter"
  "vtkDataSetToDataObjectFilter"
  "vtkDataSetTriangleFilter"
  "vtkDecimatePro"
  "vtkDelaunay2D"
  "vtkDelaunay3D"
  "vtkDicer"
  "vtkDijkstraGraphGeodesicPath"
  "vtkDiscreteMarchingCubes"
  "vtkDiskSource"
  "vtkEdgePoints"
  "vtkElevationFilter"
  "vtkEllipticalButtonSource"
  "vtkExtractArraysOverTime"
  "vtkExtractCells"
  "vtkExtractDataOverTime"
  "vtkExtractEdges"
  "vtkExtractGeometry"
  "vtkExtractGrid"
  "vtkExtractPolyDataGeometry"
  "vtkExtractRectilinearGrid"
  "vtkExtractSelectedFrustum"
  "vtkExtractSelectedIds"
  "vtkExtractSelectedLocations"
  "vtkExtractSelectedPolyDataIds"
  "vtkExtractSelectedThresholds"
  "vtkExtractSelection"
  "vtkExtractTensorComponents"
  "vtkExtractUnstructuredGrid"
  "vtkExtractVectorComponents"
  "vtkFeatureEdges"
  "vtkFieldDataToAttributeDataFilter"
  "vtkGeodesicPath"
  "vtkGeometryFilter"
  "vtkGlyph2D"
  "vtkGlyph3D"
  "vtkGlyphSource2D"
  "vtkGradientFilter"
  "vtkGraphGeodesicPath"
  "vtkGraphLayoutFilter"
  "vtkGridSynchronizedTemplates3D"
  "vtkHierarchicalDataSetGeometryFilter"
  "vtkHedgeHog"
  "vtkHierarchicalDataExtractDataSets"
  "vtkHierarchicalDataExtractLevel"
  "vtkHierarchicalDataGroupFilter"
  "vtkHierarchicalDataLevelFilter"
  "vtkHull"
  "vtkHyperOctreeContourFilter"
  "vtkHyperOctreeCutter"
  "vtkHyperOctreeClipCutPointsGrabber"
  "vtkHyperOctreeDepth"
  "vtkHyperOctreeDualGridContourFilter"
  "vtkHyperOctreeFractalSource"
  "vtkHyperOctreeLimiter"
  "vtkHyperOctreeSampleFunction"
  "vtkHyperOctreeSurfaceFilter"
  "vtkHyperOctreeToUniformGridFilter"
  "vtkHyperStreamline"
  "vtkIdFilter"
  "vtkImageDataGeometryFilter"
  "vtkImageMarchingCubes"
  "vtkImplicitTextureCoords"
  "vtkInterpolateDataSetAttributes"
  "vtkInterpolatingSubdivisionFilter"
  "vtkKdNode"
  "vtkKdTree"
  "vtkLineSource"
  "vtkLinearExtrusionFilter"
  "vtkLinearSubdivisionFilter"
  "vtkLinkEdgels"
  "vtkLoopSubdivisionFilter"
  "vtkMarchingContourFilter"
  "vtkMarchingCubes"
  "vtkMarchingSquares"
  "vtkMaskFields"
  "vtkMaskPoints"
  "vtkMaskPolyData"
  "vtkMassProperties"
  "vtkMergeDataObjectFilter"
  "vtkMergeCells"
  "vtkMergeFields"
  "vtkMergeFilter"
  "vtkMeshQuality"
  "vtkModelMetadata"
  "vtkMultiGroupDataExtractDataSets"
  "vtkMultiGroupDataExtractGroup"
  "vtkMultiGroupDataGeometryFilter"
  "vtkMultiGroupDataGroupFilter"
  "vtkMultiGroupDataGroupIdScalars"
  "vtkMultiThreshold"
  "vtkOBBDicer"
  "vtkOBBTree"
  "vtkOutlineCornerFilter"
  "vtkOutlineCornerSource"
  "vtkOutlineFilter"
  "vtkOutlineSource"
  "vtkParametricFunctionSource"
  "vtkPlaneSource"
  "vtkPlanesIntersection"
  "vtkPlatonicSolidSource"
  "vtkPointDataToCellData"
  "vtkPointsProjectedHull"
  "vtkPointSource"
  "vtkPolyDataConnectivityFilter"
  "vtkPolyDataNormals"
  "vtkPolyDataStreamer"
  "vtkProbeFilter"
  "vtkProgrammableAttributeDataFilter"
  "vtkProgrammableDataObjectSource"
  "vtkProgrammableFilter"
  "vtkProgrammableGlyphFilter"
  "vtkProgrammableSource"
  "vtkProjectedTexture"
  "vtkQuadricClustering"
  "vtkQuadricDecimation"
  "vtkQuantizePolyDataPoints"
  "vtkRearrangeFields"
  "vtkRectangularButtonSource"
  "vtkRectilinearGridClip"
  "vtkRectilinearGridGeometryFilter"
  "vtkRectilinearGridToTetrahedra"
  "vtkRectilinearSynchronizedTemplates"
  "vtkRecursiveDividingCubes"
  "vtkReflectionFilter"
  "vtkRegularPolygonSource"
  "vtkReverseSense"
  "vtkRibbonFilter"
  "vtkRotationalExtrusionFilter"
  "vtkRotationFilter"
  "vtkRuledSurfaceFilter"
  "vtkSelectPolyData"
  "vtkSelectionSource"
  "vtkShrinkFilter"
  "vtkShrinkPolyData"
  "vtkSimpleElevationFilter"
  "vtkSliceCubes"
  "vtkSmoothPolyDataFilter"
  "vtkSortDataArray"
  "vtkSpatialRepresentationFilter"
  "vtkSpherePuzzle"
  "vtkSpherePuzzleArrows"
  "vtkSphereSource"
  "vtkSplineFilter"
  "vtkSplitField"
  "vtkStreamLine"
  "vtkStreamPoints"
  "vtkStreamTracer"
  "vtkStreamer"
  "vtkStripper"
  "vtkStructuredGridClip"
  "vtkStructuredGridGeometryFilter"
  "vtkStructuredGridOutlineFilter"
  "vtkStructuredPointsGeometryFilter"
  "vtkSubPixelPositionEdgels"
  "vtkSubdivideTetra"
  "vtkSuperquadricSource"
  "vtkSynchronizedTemplates2D"
  "vtkSynchronizedTemplates3D"
  "vtkSynchronizedTemplatesCutter3D"
  "vtkTensorGlyph"
  "vtkTextSource"
  "vtkTextureMapToCylinder"
  "vtkTextureMapToPlane"
  "vtkTextureMapToSphere"
  "vtkTexturedSphereSource"
  "vtkThreshold"
  "vtkThresholdPoints"
  "vtkThresholdTextureCoords"
  "vtkTimeSourceExample"
  "vtkTransformFilter"
  "vtkTransformPolyDataFilter"
  "vtkTransformTextureCoords"
  "vtkTriangleFilter"
  "vtkTriangularTCoords"
  "vtkTubeFilter"
  "vtkUnstructuredGridGeometryFilter"
  "vtkVectorDot"
  "vtkVectorNorm"
  "vtkVoxelContoursToSurfaceFilter"
  "vtkWarpLens"
  "vtkWarpScalar"
  "vtkWarpTo"
  "vtkWarpVector"
  "vtkWindowedSincPolyDataFilter")

# Abstract classes in vtkGraphics.
SET(VTK_GRAPHICS_CLASSES_ABSTRACT
  "vtkApproximatingSubdivisionFilter"
  "vtkButtonSource"
  "vtkDicer"
  "vtkDijkstraGraphGeodesicPath"
  "vtkGeodesicPath"
  "vtkGraphGeodesicPath"
  "vtkInterpolatingSubdivisionFilter"
  "vtkStreamer")

# Wrap-exclude classes in vtkGraphics.
SET(VTK_GRAPHICS_CLASSES_WRAP_EXCLUDE)

# Set convenient variables to test each class.
FOREACH(class ${VTK_GRAPHICS_CLASSES})
  SET(VTK_CLASS_EXISTS_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_GRAPHICS_CLASSES_ABSTRACT})
  SET(VTK_CLASS_ABSTRACT_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_GRAPHICS_CLASSES_WRAP_EXCLUDE})
  SET(VTK_CLASS_WRAP_EXCLUDE_${class} 1)
ENDFOREACH(class)
