# Directory containing class headers.
SET(VTK_RENDERING_HEADER_DIR "${VTK_INSTALL_PREFIX}/include/vtk-5.1")

# Classes in vtkRendering.
SET(VTK_RENDERING_CLASSES
  "vtkAbstractMapper3D"
  "vtkAbstractVolumeMapper"
  "vtkAbstractPicker"
  "vtkAbstractPropPicker"
  "vtkActor"
  "vtkActorCollection"
  "vtkAreaPicker"
  "vtkAssembly"
  "vtkAxisActor2D"
  "vtkCamera"
  "vtkCameraInterpolator"
  "vtkCellCenterDepthSort"
  "vtkCellPicker"
  "vtkChooserPainter"
  "vtkClipPlanesPainter"
  "vtkCoincidentTopologyResolutionPainter"
  "vtkCuller"
  "vtkCullerCollection"
  "vtkDataSetMapper"
  "vtkDefaultPainter"
  "vtkDisplayListPainter"
  "vtkExporter"
  "vtkFollower"
  "vtkFrustumCoverageCuller"
  "vtkGenericRenderWindowInteractor"
  "vtkGraphicsFactory"
  "vtkHierarchicalPolyDataMapper"
  "vtkIVExporter"
  "vtkIdentColoredPainter"
  "vtkImageActor"
  "vtkImageMapper"
  "vtkImageViewer"
  "vtkImageViewer2"
  "vtkImagingFactory"
  "vtkImporter"
  "vtkInteractorEventRecorder"
  "vtkInteractorObserver"
  "vtkInteractorStyle"
  "vtkInteractorStyleFlight"
  "vtkInteractorStyleImage"
  "vtkInteractorStyleJoystickActor"
  "vtkInteractorStyleJoystickCamera"
  "vtkInteractorStyleRubberBandPick"
  "vtkInteractorStyleRubberBandZoom"
  "vtkInteractorStyleSwitch"
  "vtkInteractorStyleTerrain"
  "vtkInteractorStyleTrackball"
  "vtkInteractorStyleTrackballActor"
  "vtkInteractorStyleTrackballCamera"
  "vtkInteractorStyleUnicam"
  "vtkInteractorStyleUser"
  "vtkLODActor"
  "vtkLODProp3D"
  "vtkLabeledDataMapper"
  "vtkLeaderActor2D"
  "vtkLight"
  "vtkLightCollection"
  "vtkLightKit"
  "vtkLightingPainter"
  "vtkLinesPainter"
  "vtkMapper"
  "vtkMapperCollection"
  "vtkMultiGroupPolyDataMapper"
  "vtkOBJExporter"
  "vtkObserverMediator"
  "vtkOOGLExporter"
  "vtkPainter"
  "vtkPainterDeviceAdapter"
  "vtkPainterPolyDataMapper"
  "vtkParallelCoordinatesActor"
  "vtkPicker"
  "vtkPointsPainter"
  "vtkPointPicker"
  "vtkPolyDataMapper"
  "vtkPolyDataMapper2D"
  "vtkPolyDataPainter"
  "vtkPolygonsPainter"
  "vtkPrimitivePainter"
  "vtkProp3D"
  "vtkProp3DCollection"
  "vtkPropPicker"
  "vtkProperty"
  "vtkQuaternionInterpolator"
  "vtkRenderWindow"
  "vtkRenderWindowCollection"
  "vtkRenderWindowInteractor"
  "vtkRenderedAreaPicker"
  "vtkRenderer"
  "vtkRendererCollection"
  "vtkRendererSource"
  "vtkRepresentationPainter"
  "vtkScalarBarActor"
  "vtkScalarsToColorsPainter"
  "vtkScaledTextActor"
  "vtkSelectVisiblePoints"
  "vtkShader"
  "vtkShaderProgram"
  "vtkStandardPolyDataPainter"
  "vtkTesting"
  "vtkTextActor"
  "vtkTextActor3D"
  "vtkTextMapper"
  "vtkTextProperty"
  "vtkTexture"
  "vtkTransformInterpolator"
  "vtkTStripsPainter"
  "vtkTupleInterpolator"
  "vtkVisibleCellSelector"
  "vtkVisibilitySort"
  "vtkVRMLExporter"
  "vtkVolume"
  "vtkVolumeCollection"
  "vtkVolumeProperty"
  "vtkWindowToImageFilter"
  "vtkWorldPointPicker"
  "vtkFreeTypeUtilities"
  "vtkOpenGLActor"
  "vtkOpenGLCamera"
  "vtkOpenGLClipPlanesPainter"
  "vtkOpenGLCoincidentTopologyResolutionPainter"
  "vtkOpenGLDisplayListPainter"
  "vtkOpenGLExtensionManager"
  "vtkOpenGLImageActor"
  "vtkOpenGLImageMapper"
  "vtkOpenGLLight"
  "vtkOpenGLLightingPainter"
  "vtkOpenGLPainterDeviceAdapter"
  "vtkOpenGLPolyDataMapper"
  "vtkOpenGLPolyDataMapper2D"
  "vtkOpenGLProperty"
  "vtkOpenGLRenderWindow"
  "vtkOpenGLRenderer"
  "vtkOpenGLRepresentationPainter"
  "vtkOpenGLScalarsToColorsPainter"
  "vtkOpenGLTexture"
  "vtkGLSLShader"
  "vtkGLSLShaderProgram"
  "vtkOpenGLFreeTypeTextMapper"
  "c:/build/VTK-VS8/Rendering/vtkgl"
  "vtkWin32OpenGLRenderWindow"
  "vtkWin32RenderWindowInteractor")

# Abstract classes in vtkRendering.
SET(VTK_RENDERING_CLASSES_ABSTRACT
  "vtkAbstractMapper3D"
  "vtkAbstractVolumeMapper"
  "vtkAbstractPicker"
  "vtkAbstractPropPicker"
  "vtkCuller"
  "vtkExporter"
  "vtkImporter"
  "vtkInteractorObserver"
  "vtkMapper"
  "vtkPainter"
  "vtkPolyDataPainter"
  "vtkPrimitivePainter"
  "vtkProp3D"
  "vtkShader"
  "vtkShaderProgram"
  "vtkVisibilitySort"
  "vtkOpenGLRenderWindow"
  "c:/build/VTK-VS8/Rendering/vtkgl")

# Wrap-exclude classes in vtkRendering.
SET(VTK_RENDERING_CLASSES_WRAP_EXCLUDE
  "vtkFreeTypeUtilities"
  "c:/build/VTK-VS8/Rendering/vtkgl")

# Set convenient variables to test each class.
FOREACH(class ${VTK_RENDERING_CLASSES})
  SET(VTK_CLASS_EXISTS_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_RENDERING_CLASSES_ABSTRACT})
  SET(VTK_CLASS_ABSTRACT_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_RENDERING_CLASSES_WRAP_EXCLUDE})
  SET(VTK_CLASS_WRAP_EXCLUDE_${class} 1)
ENDFOREACH(class)
